Debian Bug report logs - #627513
udev: No X, no /dev/input/mice, no ACPI battery state and WLAN interface renamed after upgrade to 169-1 on EeePC 701

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Axel Beckert <abe@debian.org>

Date: Sat, 21 May 2011 12:25:11 UTC

Severity: grave

Found in version udev/169-1

Fixed in version udev/170-1

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@debian.org, Marco d'Itri <md@linux.it>:
Bug#627513; Package udev. (Sat, 21 May 2011 12:25:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to abe@debian.org, Marco d'Itri <md@linux.it>. (Sat, 21 May 2011 12:25:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: udev: No more X and no WLAN after upgrade to 169-1 on EeePC 701
Date: Sat, 21 May 2011 14:18:14 +0200
Package: udev
Version: 169-1
Severity: grave

After upgrade to 169-1 (from 168-2, but I'm not sure with which udev
version I rebooted the last time), X fails to start (no screens found)
and wicd can't scan for WLANs anymore on wlan0 (while "iwlist scan" sees
the APs, but only after an "ifconfig wlan0 up". But that didn't help
wicd to see them). This happens both with 2.6.39rc7 from experimental as
well as 2.6.39 from unstable while 2.6.39rc7 worked fine before. (I
rebooted to upgrade to 2.6.39.)

I downgraded udev and libudev0 to the version now in testing (167-3) and
everything works fine again.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (600, 'stable'), (500, 'testing'), (400, 'oldstable'), (110, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-rc7-686-pae (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages udev depends on:
ii  debconf [debconf-2.0]        1.5.39      Debian configuration management sy
ii  libc6                        2.13-4      Embedded GNU C Library: Shared lib
ii  libselinux1                  2.0.98-1+b1 SELinux runtime shared libraries
ii  libudev0                     167-3       libudev shared library
ii  libusb-0.1-4                 2:0.1.12-17 userspace USB programming library
ii  lsb-base                     3.2-27      Linux Standard Base 3.2 init scrip
ii  util-linux                   2.17.2-9.1  Miscellaneous system utilities

Versions of packages udev recommends:
ii  pciutils                      1:3.1.7-9  Linux PCI Utilities
ii  usbutils                      1:001-1    Linux USB utilities

udev suggests no packages.

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627513; Package udev. (Sat, 21 May 2011 13:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 21 May 2011 13:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 627513@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 627513@bugs.debian.org
Subject: Re: Bug#627513: udev: No more X and no WLAN after upgrade to 169-1 on EeePC 701
Date: Sat, 21 May 2011 15:24:25 +0200
[Message part 1 (text/plain, inline)]
On Sat, 21 May 2011 14:18:14 +0200, Axel Beckert wrote:

> After upgrade to 169-1 (from 168-2, but I'm not sure with which udev
> version I rebooted the last time), X fails to start (no screens found)
> and wicd can't scan for WLANs anymore on wlan0 (while "iwlist scan" sees
> the APs, but only after an "ifconfig wlan0 up". But that didn't help
> wicd to see them). This happens both with 2.6.39rc7 from experimental as
> well as 2.6.39 from unstable while 2.6.39rc7 worked fine before. (I
> rebooted to upgrade to 2.6.39.)

Here: no /dev/sd*, no /dev/disk ...
Also with 2.6.39-1 and 2.6.39-rc7.
 
> I downgraded udev and libudev0 to the version now in testing (167-3) and
> everything works fine again.

168-2 seems to work too.
 

Cheers,
gregor

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - PGP/GPG key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: The Doors: Waiting For The Sun
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627513; Package udev. (Sat, 21 May 2011 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 21 May 2011 21:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 627513@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 627513@bugs.debian.org
Cc: Debian Bug Tracking System E-Mail Control Server <control@bugs.debian.org>
Subject: Re: Bug#627513: udev: No more X and no WLAN after upgrade to 169-1 on EeePC 701
Date: Sat, 21 May 2011 22:57:20 +0200
retitle 627513 udev: No X, no WLAN and no ACPI battery state after upgrade to 169-1 on EeePC 701
kthxbye

Hi,

Axel Beckert wrote:
> After upgrade to 169-1 (from 168-2, but I'm not sure with which udev
> version I rebooted the last time), X fails to start (no screens found)
> and wicd can't scan for WLANs anymore on wlan0 (while "iwlist scan" sees
> the APs, but only after an "ifconfig wlan0 up". But that didn't help
> wicd to see them). This happens both with 2.6.39rc7 from experimental as
> well as 2.6.39 from unstable while 2.6.39rc7 worked fine before. (I
> rebooted to upgrade to 2.6.39.)

Some more things I tried:

* Removing /var/run and /var/lock mount points from my /etc/fstab as
  suggested by boot messages.
* Removing the fs2ram package which also plays around with these
  things.
* Reinstalling udev (for all the configuration and trigger stuff)
  after I've done the above things.

None of them did help so far.

What also doesn't work since 169-1:

* Polling the battery state via ACPI: "No support for device type:
  power_supply"

A few details about the non-working X:

* Failed to open DRM device for pci:0000:00:02.0: No such file or
  directory
* Failed to become DRM master

I can post detailed (i.e. copied files, not just typed what I read on
the other display :-) later if that would be helpful.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Changed Bug title to 'udev: No X, no WLAN and no ACPI battery state after upgrade to 169-1 on EeePC 701' from 'udev: No more X and no WLAN after upgrade to 169-1 on EeePC 701' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Sat, 21 May 2011 21:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627513; Package udev. (Sat, 21 May 2011 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 21 May 2011 22:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 627513@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 627513@bugs.debian.org
Cc: Debian Bug Tracking System E-Mail Control Server <control@bugs.debian.org>
Subject: Re: Bug#627513: udev: No more X and no WLAN after upgrade to 169-1 on EeePC 701
Date: Sun, 22 May 2011 00:39:17 +0200
retitle 627513 udev: No X, no /dev/input/mice, no ACPI battery state and WLAN interface renamed after upgrade to 169-1 on EeePC 701
kthxbye

The longer I debug, the more details come to the surface...

I initially downgraded to testing (which has 167-3) to get a working
system again, but effectively downgrading to just 168-2 from
snapshot.debian.org suffices.

Axel Beckert wrote:
> Axel Beckert wrote:
> > After upgrade to 169-1 [...] wicd can't scan for WLANs anymore on
> > wlan0 (while "iwlist scan" sees the APs, but only after an
> > "ifconfig wlan0 up". But that didn't help wicd to see them).

Reason for this is the fact that with udev 169-1, the device name
changed from ath0 to wlan0. With udev 168-2 (or 167-3) the device name
is ath0 again.

WLAN works fine if wicd has been reconfigured accordingly.

Seems as if /etc/udev/rules.d/70-persistent-net.rules is ignored with
udev 169-1.

X fails with both, intel and vesa driver.

> What also doesn't work since 169-1:
>
> * Polling the battery state via ACPI: "No support for device type:
>   power_supply"

* /dev/input/mice is gone and gpm fails to start because of that.

Now that I've got easy network again, here's also the Xorg.0.log (with
just the intel driver installed):

[    10.696] 
X.Org X Server 1.9.5
Release Date: 2011-03-17
[    10.696] X Protocol Version 11, Revision 0
[    10.696] Build Operating System: Linux 2.6.32-5-amd64 i686 Debian
[    10.696] Current Operating System: Linux nemo 2.6.39-1-686-pae #1 SMP Fri May 20 20:40:05 UTC 2011 i686
[    10.696] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.39-1-686-pae root=UUID=75818c63-d8e5-4f92-9e2a-b35221e4076b ro quiet
[    10.696] Build Date: 26 March 2011  07:50:38AM
[    10.696] xorg-server 2:1.9.5-1 (Cyril Brulebois <kibi@debian.org>) 
[    10.696] Current version of pixman: 0.21.8
[    10.696] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    10.696] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    10.697] (==) Log file: "/var/log/Xorg.0.log", Time: Sat May 21 22:43:25 2011
[    10.709] (==) Using config file: "/etc/X11/xorg.conf"
[    10.709] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    10.719] (==) ServerLayout "Default Layout"
[    10.719] (**) |-->Screen "Default Screen" (0)
[    10.719] (**) |   |-->Monitor "Configured Monitor"
[    10.719] (==) No device specified for screen "Default Screen".
	Using the first device section listed.
[    10.720] (**) |   |-->Device "Configured Video Device"
[    10.720] (**) |-->Input Device "Generic Keyboard"
[    10.720] (**) |-->Input Device "Synaptics Touchpad"
[    10.720] (**) Option "DontZap" "off"
[    10.720] (==) Automatically adding devices
[    10.720] (==) Automatically enabling devices
[    10.727] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    10.727] 	Entry deleted from font path.
[    10.729] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/X11/100dpi/".
[    10.729] 	Entry deleted from font path.
[    10.729] 	(Run 'mkfontdir' on "/usr/share/fonts/X11/100dpi/").
[    10.733] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/X11/100dpi".
[    10.733] 	Entry deleted from font path.
[    10.733] 	(Run 'mkfontdir' on "/usr/share/fonts/X11/100dpi").
[    10.736] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
[    10.736] (==) ModulePath set to "/usr/lib/xorg/modules"
[    10.736] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    10.736] (WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[    10.736] (WW) Disabling Generic Keyboard
[    10.736] (II) Loader magic: 0x81f9f60
[    10.736] (II) Module ABI versions:
[    10.736] 	X.Org ANSI C Emulation: 0.4
[    10.736] 	X.Org Video Driver: 8.0
[    10.736] 	X.Org XInput driver : 11.0
[    10.736] 	X.Org Server Extension : 4.0
[    10.738] (--) PCI:*(0:0:2:0) 8086:2592:1043:82d9 rev 4, Mem @ 0xf7f00000/524288, 0xd0000000/268435456, 0xf7ec0000/262144, I/O @ 0x0000ec00/8
[    10.738] (--) PCI: (0:0:2:1) 8086:2792:1043:82d9 rev 4, Mem @ 0xf7f80000/524288
[    10.739] (II) Open ACPI successful (/var/run/acpid.socket)
[    10.739] (II) LoadModule: "extmod"
[    10.760] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    10.766] (II) Module extmod: vendor="X.Org Foundation"
[    10.766] 	compiled for 1.9.5, module version = 1.0.0
[    10.766] 	Module class: X.Org Server Extension
[    10.766] 	ABI class: X.Org Server Extension, version 4.0
[    10.766] (II) Loading extension SELinux
[    10.766] (II) Loading extension MIT-SCREEN-SAVER
[    10.766] (II) Loading extension XFree86-VidModeExtension
[    10.766] (II) Loading extension XFree86-DGA
[    10.766] (II) Loading extension DPMS
[    10.766] (II) Loading extension XVideo
[    10.767] (II) Loading extension XVideo-MotionCompensation
[    10.767] (II) Loading extension X-Resource
[    10.767] (II) LoadModule: "dbe"
[    10.768] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    10.770] (II) Module dbe: vendor="X.Org Foundation"
[    10.770] 	compiled for 1.9.5, module version = 1.0.0
[    10.770] 	Module class: X.Org Server Extension
[    10.770] 	ABI class: X.Org Server Extension, version 4.0
[    10.770] (II) Loading extension DOUBLE-BUFFER
[    10.770] (II) LoadModule: "glx"
[    10.770] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    10.777] (II) Module glx: vendor="X.Org Foundation"
[    10.777] 	compiled for 1.9.5, module version = 1.0.0
[    10.777] 	ABI class: X.Org Server Extension, version 4.0
[    10.786] (==) AIGLX enabled
[    10.786] (II) Loading extension GLX
[    10.786] (II) LoadModule: "record"
[    10.787] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    10.790] (II) Module record: vendor="X.Org Foundation"
[    10.790] 	compiled for 1.9.5, module version = 1.13.0
[    10.790] 	Module class: X.Org Server Extension
[    10.790] 	ABI class: X.Org Server Extension, version 4.0
[    10.790] (II) Loading extension RECORD
[    10.790] (II) LoadModule: "dri"
[    10.791] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    10.798] (II) Module dri: vendor="X.Org Foundation"
[    10.798] 	compiled for 1.9.5, module version = 1.0.0
[    10.798] 	ABI class: X.Org Server Extension, version 4.0
[    10.798] (II) Loading extension XFree86-DRI
[    10.799] (II) LoadModule: "dri2"
[    10.799] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    10.801] (II) Module dri2: vendor="X.Org Foundation"
[    10.801] 	compiled for 1.9.5, module version = 1.2.0
[    10.801] 	ABI class: X.Org Server Extension, version 4.0
[    10.801] (II) Loading extension DRI2
[    10.801] (==) Matched intel as autoconfigured driver 0
[    10.801] (==) Matched vesa as autoconfigured driver 1
[    10.801] (==) Matched fbdev as autoconfigured driver 2
[    10.801] (==) Assigned the driver to the xf86ConfigLayout
[    10.801] (II) LoadModule: "intel"
[    10.802] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[    10.813] (II) Module intel: vendor="X.Org Foundation"
[    10.813] 	compiled for 1.9.5, module version = 2.15.0
[    10.813] 	Module class: X.Org Video Driver
[    10.813] 	ABI class: X.Org Video Driver, version 8.0
[    10.813] (II) LoadModule: "vesa"
[    10.815] (WW) Warning, couldn't open module vesa
[    10.815] (II) UnloadModule: "vesa"
[    10.815] (EE) Failed to load module "vesa" (module does not exist, 0)
[    10.815] (II) LoadModule: "fbdev"
[    10.816] (WW) Warning, couldn't open module fbdev
[    10.816] (II) UnloadModule: "fbdev"
[    10.816] (EE) Failed to load module "fbdev" (module does not exist, 0)
[    10.816] (II) LoadModule: "synaptics"
[    10.817] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[    10.826] (II) Module synaptics: vendor="X.Org Foundation"
[    10.826] 	compiled for 1.9.4, module version = 1.4.0
[    10.826] 	Module class: X.Org XInput Driver
[    10.826] 	ABI class: X.Org XInput driver, version 11.0
[    10.826] (II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
	Sandybridge, Sandybridge, Sandybridge, Sandybridge, Sandybridge,
	Sandybridge, Sandybridge
[    10.827] (++) using VT number 7

[    10.827] (WW) xf86OpenConsole: setpgid failed: Operation not permitted
[    10.827] (WW) xf86OpenConsole: setsid failed: Operation not permitted
[    11.973] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[    11.973] drmOpenDevice: node name is /dev/dri/card0
[    11.982] drmOpenByBusid: Searching for BusID pci:0000:00:02.0
[    11.982] drmOpenDevice: node name is /dev/dri/card0
[    11.987] drmOpenByBusid: drmOpenMinor returns -1
[    11.987] drmOpenDevice: node name is /dev/dri/card1
[    11.992] drmOpenByBusid: drmOpenMinor returns -1
[    11.992] drmOpenDevice: node name is /dev/dri/card2
[    12.005] drmOpenByBusid: drmOpenMinor returns -1
[    12.005] drmOpenDevice: node name is /dev/dri/card3
[    12.010] drmOpenByBusid: drmOpenMinor returns -1
[    12.010] drmOpenDevice: node name is /dev/dri/card4
[    12.015] drmOpenByBusid: drmOpenMinor returns -1
[    12.015] drmOpenDevice: node name is /dev/dri/card5
[    12.020] drmOpenByBusid: drmOpenMinor returns -1
[    12.020] drmOpenDevice: node name is /dev/dri/card6
[    12.024] drmOpenByBusid: drmOpenMinor returns -1
[    12.025] drmOpenDevice: node name is /dev/dri/card7
[    12.029] drmOpenByBusid: drmOpenMinor returns -1
[    12.029] drmOpenDevice: node name is /dev/dri/card8
[    12.034] drmOpenByBusid: drmOpenMinor returns -1
[    12.034] drmOpenDevice: node name is /dev/dri/card9
[    12.040] drmOpenByBusid: drmOpenMinor returns -1
[    12.040] drmOpenDevice: node name is /dev/dri/card10
[    12.045] drmOpenByBusid: drmOpenMinor returns -1
[    12.045] drmOpenDevice: node name is /dev/dri/card11
[    12.050] drmOpenByBusid: drmOpenMinor returns -1
[    12.050] drmOpenDevice: node name is /dev/dri/card12
[    12.059] drmOpenByBusid: drmOpenMinor returns -1
[    12.059] drmOpenDevice: node name is /dev/dri/card13
[    12.065] drmOpenByBusid: drmOpenMinor returns -1
[    12.065] drmOpenDevice: node name is /dev/dri/card14
[    12.069] drmOpenByBusid: drmOpenMinor returns -1
[    12.069] drmOpenDevice: node name is /dev/dri/card15
[    12.075] drmOpenByBusid: drmOpenMinor returns -1
[    12.076] drmOpenDevice: node name is /dev/dri/card0
[    12.081] drmOpenDevice: node name is /dev/dri/card0
[    12.088] drmOpenDevice: node name is /dev/dri/card1
[    12.094] drmOpenDevice: node name is /dev/dri/card2
[    12.101] drmOpenDevice: node name is /dev/dri/card3
[    12.108] drmOpenDevice: node name is /dev/dri/card4
[    12.113] drmOpenDevice: node name is /dev/dri/card5
[    12.118] drmOpenDevice: node name is /dev/dri/card6
[    12.123] drmOpenDevice: node name is /dev/dri/card7
[    12.128] drmOpenDevice: node name is /dev/dri/card8
[    12.133] drmOpenDevice: node name is /dev/dri/card9
[    12.138] drmOpenDevice: node name is /dev/dri/card10
[    12.143] drmOpenDevice: node name is /dev/dri/card11
[    12.148] drmOpenDevice: node name is /dev/dri/card12
[    12.152] drmOpenDevice: node name is /dev/dri/card13
[    12.157] drmOpenDevice: node name is /dev/dri/card14
[    12.162] drmOpenDevice: node name is /dev/dri/card15
[    12.167] (EE) intel(0): [drm] Failed to open DRM device for pci:0000:00:02.0: No such file or directory
[    12.167] (EE) intel(0): Failed to become DRM master.
[    12.167] (==) intel(0): Depth 24, (--) framebuffer bpp 32
[    12.167] (==) intel(0): RGB weight 888
[    12.167] (==) intel(0): Default visual is TrueColor
[    12.167] (II) intel(0): Integrated Graphics Chipset: Intel(R) 915GM
[    12.167] (--) intel(0): Chipset: "915GM"
[    12.167] (**) intel(0): Relaxed fencing disabled
[    12.167] (**) intel(0): Framebuffer tiled
[    12.167] (**) intel(0): Pixmaps tiled
[    12.167] (**) intel(0): 3D buffers tiled
[    12.167] (**) intel(0): SwapBuffers wait enabled
[    12.167] (==) intel(0): video overlay key set to 0x101fe
[    12.168] (EE) intel(0): failed to get resources: Bad file descriptor
[    12.168] (II) UnloadModule: "intel"
[    12.168] (EE) Screen(s) found, but none have a usable configuration.
[    12.168] 
Fatal server error:
[    12.168] no screens found
[    12.168] 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[    12.168] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    12.168] 

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Changed Bug title to 'udev: No X, no /dev/input/mice, no ACPI battery state and WLAN interface renamed after upgrade to 169-1 on EeePC 701' from 'udev: No X, no WLAN and no ACPI battery state after upgrade to 169-1 on EeePC 701' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Sat, 21 May 2011 22:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627513; Package udev. (Sat, 21 May 2011 23:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 21 May 2011 23:09:10 GMT) Full text and rfc822 format available.

Message #29 received at 627513@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Axel Beckert <abe@debian.org>, 627513@bugs.debian.org
Subject: Re: Bug#627513: udev: No more X and no WLAN after upgrade to 169-1 on EeePC 701
Date: Sun, 22 May 2011 01:08:39 +0200
[Message part 1 (text/plain, inline)]
Stop wasting your time, 170 will fix it.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Sun, 22 May 2011 02:51:10 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Sun, 22 May 2011 02:51:11 GMT) Full text and rfc822 format available.

Message #34 received at 627513-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 627513-close@bugs.debian.org
Subject: Bug#627513: fixed in udev 170-1
Date: Sun, 22 May 2011 02:47:56 +0000
Source: udev
Source-Version: 170-1

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

gir1.2-gudev-1.0_170-1_i386.deb
  to main/u/udev/gir1.2-gudev-1.0_170-1_i386.deb
libgudev-1.0-0_170-1_i386.deb
  to main/u/udev/libgudev-1.0-0_170-1_i386.deb
libgudev-1.0-dev_170-1_i386.deb
  to main/u/udev/libgudev-1.0-dev_170-1_i386.deb
libudev-dev_170-1_i386.deb
  to main/u/udev/libudev-dev_170-1_i386.deb
libudev0_170-1_i386.deb
  to main/u/udev/libudev0_170-1_i386.deb
udev-gtk-udeb_170-1_i386.udeb
  to main/u/udev/udev-gtk-udeb_170-1_i386.udeb
udev-udeb_170-1_i386.udeb
  to main/u/udev/udev-udeb_170-1_i386.udeb
udev_170-1.debian.tar.gz
  to main/u/udev/udev_170-1.debian.tar.gz
udev_170-1.dsc
  to main/u/udev/udev_170-1.dsc
udev_170-1_i386.deb
  to main/u/udev/udev_170-1_i386.deb
udev_170.orig.tar.bz2
  to main/u/udev/udev_170.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627513@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 May 2011 16:47:49 +0200
Source: udev
Binary: udev libudev0 libudev-dev udev-udeb udev-gtk-udeb libgudev-1.0-0 gir1.2-gudev-1.0 libgudev-1.0-dev
Architecture: source i386
Version: 170-1
Distribution: unstable
Urgency: medium
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 gir1.2-gudev-1.0 - libgudev-1.0 introspection data
 libgudev-1.0-0 - GObject-based wrapper library for libudev
 libgudev-1.0-dev - libgudev-1.0 development files
 libudev-dev - libudev development files
 libudev0   - libudev shared library
 udev       - /dev/ and hotplug management daemon
 udev-gtk-udeb - libudev shared library (udeb)
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 626873 627446 627487 627513
Changes: 
 udev (170-1) unstable; urgency=medium
 .
   * New upstream release. Fixes:
     + properly wait for incoming message after connect.
       (Closes: #627446, #627487, #627513)
   * Init script: simplified the code for unmounting /dev/pts/ etc.
     (Closes: #626873)
Checksums-Sha1: 
 a1071dcbdab369381d8beb1597cc4f1a6f2351f2 1493 udev_170-1.dsc
 778b9cfe257bccfef8da9cae53b446791546ea60 598012 udev_170.orig.tar.bz2
 ebc274dbc1663a6cc0ae62aa4e2fe2a5355ebde5 88254 udev_170-1.debian.tar.gz
 c96548ade0ad953d6623a6a241fe8c2bdf297183 475686 udev_170-1_i386.deb
 16811fca4ee7b28fc0f3bbbb36cf8eba9afc415a 125666 libudev0_170-1_i386.deb
 a3ce670bfa94ba54d4710468c91ec7fee948b8e1 59930 libudev-dev_170-1_i386.deb
 98c6692d25ac14567365f812a4dd5426031ab9a6 184504 udev-udeb_170-1_i386.udeb
 bd651309197891755565d6510adb4c4ef3177e8e 37982 udev-gtk-udeb_170-1_i386.udeb
 9e4a4ed1cdd88a03d5bd2324a6e984d0ea5ac038 108444 libgudev-1.0-0_170-1_i386.deb
 db5c6e839461f83baa5b6168d1f29d8749ae590d 2986 gir1.2-gudev-1.0_170-1_i386.deb
 142785f756287d27d25e21cd119297ee76e6af52 45368 libgudev-1.0-dev_170-1_i386.deb
Checksums-Sha256: 
 cef645633361396832bb41b66d8a928abb6e674de9f61c09db89fb07e53f438e 1493 udev_170-1.dsc
 7bcc634ed3f49456d8ea075a5c33febbfff70f65f1a4b8a88da1460f0d9dab7f 598012 udev_170.orig.tar.bz2
 239b5831c21319ce2c750db1596955ae66548ed2cecfbb70330e1ba505fe7c28 88254 udev_170-1.debian.tar.gz
 de3f5350d1ba247eb7b64ffc53a7527290e90fe2d62f3978aad711ce3aba6d8c 475686 udev_170-1_i386.deb
 ba36753797ce0703afabb21c46044c2a9e74e3129ea4ba1633f8bfb7dba0e15e 125666 libudev0_170-1_i386.deb
 1c45580ae84920ef22c6e44c556ac0e59c7723c0e45f295ae96f2dfe2761d2dc 59930 libudev-dev_170-1_i386.deb
 f25ae410b036ad3362157c01b3b355c722ada86d9d37f20146c1ceeffbc25e95 184504 udev-udeb_170-1_i386.udeb
 d52c53ece8355eae7428f0648aef918e72adccc9bc639a25c6fe962d39436502 37982 udev-gtk-udeb_170-1_i386.udeb
 b526fe2f656d72aaff424321b33c8cc78a8804755ecef9c16122c86ec33b4ffe 108444 libgudev-1.0-0_170-1_i386.deb
 37db63bd5cfd48e7be751e30233501a99acacb0f5678a05a2a4227ff5f8b9e07 2986 gir1.2-gudev-1.0_170-1_i386.deb
 ffa15e0b39185ee6ce58459191947ef2b212cb79afba5b6c3c1b7975fcfb9585 45368 libgudev-1.0-dev_170-1_i386.deb
Files: 
 bfdefb0ee0920340b0a7b1a0a38b78a4 1493 admin important udev_170-1.dsc
 6e132d1a3b4dae24dafd2726c5cdd982 598012 admin important udev_170.orig.tar.bz2
 87aac880296777983cbb46ac2ae32d9b 88254 admin important udev_170-1.debian.tar.gz
 7cfc2bca12c742e016ddb703f69a1862 475686 admin important udev_170-1_i386.deb
 d268abc053ec10c947e31dac643c9d35 125666 libs important libudev0_170-1_i386.deb
 d60051a6efa120031c3bb6a31b88ec65 59930 libdevel optional libudev-dev_170-1_i386.deb
 a59691e463c52bae83308547818f2ad2 184504 debian-installer important udev-udeb_170-1_i386.udeb
 885f57ab5cb34a817803c60160c30270 37982 debian-installer optional udev-gtk-udeb_170-1_i386.udeb
 95af8fa2865fdc85ea1c5ba1eca7319e 108444 libs optional libgudev-1.0-0_170-1_i386.deb
 74933cf6be8a2a3d93b4b200e98b0dd3 2986 libs optional gir1.2-gudev-1.0_170-1_i386.deb
 702e423ee8265df6f28ec74982292f55 45368 libdevel optional libgudev-1.0-dev_170-1_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3YbHIACgkQFGfw2OHuP7GbJwCfYYmk3m4NJBWkjmJUr3RAXTHc
CN0AoKVhkEB//wLaLOOD70dPM+qjw1Ki
=ArI/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Jun 2011 07:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:05:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.